import { lA as t, lR as e } from "./ant-design-icons-a81e6d18.js";
import { useRef as r, useState as n, useEffect as o } from "react";
var i = "undefined" != typeof globalThis ? globalThis : "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof self ? self : {}, c = function(t2) {
  return t2 && t2.Math == Math && t2;
}, u = c("object" == typeof globalThis && globalThis) || c("object" == typeof window && window) || c("object" == typeof self && self) || c("object" == typeof i && i) || function() {
  return this;
}() || Function("return this")(), a = {}, f = function(t2) {
  try {
    return !!t2();
  } catch (t3) {
    return true;
  }
}, s = !f(function() {
  return 7 != Object.defineProperty({}, 1, { get: function() {
    return 7;
  } })[1];
}), l = !f(function() {
  var t2 = (function() {
  }).bind();
  return "function" != typeof t2 || t2.hasOwnProperty("prototype");
}), p = l, v = Function.prototype.call, d = p ? v.bind(v) : function() {
  return v.apply(v, arguments);
}, h = {}, y = {}.propertyIsEnumerable, g = Object.getOwnPropertyDescriptor, b = g && !y.call({ 1: 2 }, 1);
h.f = b ? function(t2) {
  var e2 = g(this, t2);
  return !!e2 && e2.enumerable;
} : y;
var m, w, O = function(t2, e2) {
  return { enumerable: !(1 & t2), configurable: !(2 & t2), writable: !(4 & t2), value: e2 };
}, S = l, j = Function.prototype, x = j.bind, E = j.call, T = S && x.bind(E, E), P = S ? function(t2) {
  return t2 && T(t2);
} : function(t2) {
  return t2 && function() {
    return E.apply(t2, arguments);
  };
}, I = P, R = I({}.toString), C = I("".slice), L = function(t2) {
  return C(R(t2), 8, -1);
}, A = P, _ = f, k = L, M = u.Object, N = A("".split), F = _(function() {
  return !M("z").propertyIsEnumerable(0);
}) ? function(t2) {
  return "String" == k(t2) ? N(t2, "") : M(t2);
} : M, D = u.TypeError, $ = function(t2) {
  if (null == t2)
    throw D("Can't call method on " + t2);
  return t2;
}, U = F, G = $, W = function(t2) {
  return U(G(t2));
}, V = function(t2) {
  return "function" == typeof t2;
}, B = V, z = function(t2) {
  return "object" == typeof t2 ? null !== t2 : B(t2);
}, H = u, q = V, Y = function(t2, e2) {
  return arguments.length < 2 ? (r2 = H[t2], q(r2) ? r2 : void 0) : H[t2] && H[t2][e2];
  var r2;
}, K = P({}.isPrototypeOf), X = Y("navigator", "userAgent") || "", J = u, Q = X, Z = J.process, tt = J.Deno, et = Z && Z.versions || tt && tt.version, rt = et && et.v8;
rt && (w = (m = rt.split("."))[0] > 0 && m[0] < 4 ? 1 : +(m[0] + m[1])), !w && Q && (!(m = Q.match(/Edge\/(\d+)/)) || m[1] >= 74) && (m = Q.match(/Chrome\/(\d+)/)) && (w = +m[1]);
var nt = w, ot = nt, it = f, ct = !!Object.getOwnPropertySymbols && !it(function() {
  var t2 = Symbol();
  return !String(t2) || !(Object(t2) instanceof Symbol) || !Symbol.sham && ot && ot < 41;
}), ut = ct && !Symbol.sham && "symbol" == typeof Symbol.iterator, at = Y, ft = V, st = K, lt = ut, pt = u.Object, vt = lt ? function(t2) {
  return "symbol" == typeof t2;
} : function(t2) {
  var e2 = at("Symbol");
  return ft(e2) && st(e2.prototype, pt(t2));
}, dt = u.String, ht = function(t2) {
  try {
    return dt(t2);
  } catch (t3) {
    return "Object";
  }
}, yt = V, gt = ht, bt = u.TypeError, mt = function(t2) {
  if (yt(t2))
    return t2;
  throw bt(gt(t2) + " is not a function");
}, wt = mt, Ot = function(t2, e2) {
  var r2 = t2[e2];
  return null == r2 ? void 0 : wt(r2);
}, St = d, jt = V, xt = z, Et = u.TypeError, Tt = { exports: {} }, Pt = u, It = Object.defineProperty, Rt = function(t2, e2) {
  try {
    It(Pt, t2, { value: e2, configurable: true, writable: true });
  } catch (r2) {
    Pt[t2] = e2;
  }
  return e2;
}, Ct = Rt, Lt = "__core-js_shared__", At = u[Lt] || Ct(Lt, {}), _t = At;
(Tt.exports = function(t2, e2) {
  return _t[t2] || (_t[t2] = void 0 !== e2 ? e2 : {});
})("versions", []).push({ version: "3.22.2", mode: "global", copyright: "© 2014-2022 Denis Pushkarev (zloirock.ru)", license: "https://github.com/zloirock/core-js/blob/v3.22.2/LICENSE", source: "https://github.com/zloirock/core-js" });
var kt = $, Mt = u.Object, Nt = function(t2) {
  return Mt(kt(t2));
}, Ft = Nt, Dt = P({}.hasOwnProperty), $t = Object.hasOwn || function(t2, e2) {
  return Dt(Ft(t2), e2);
}, Ut = P, Gt = 0, Wt = Math.random(), Vt = Ut(1 .toString), Bt = function(t2) {
  return "Symbol(" + (void 0 === t2 ? "" : t2) + ")_" + Vt(++Gt + Wt, 36);
}, zt = u, Ht = Tt.exports, qt = $t, Yt = Bt, Kt = ct, Xt = ut, Jt = Ht("wks"), Qt = zt.Symbol, Zt = Qt && Qt.for, te = Xt ? Qt : Qt && Qt.withoutSetter || Yt, ee = function(t2) {
  if (!qt(Jt, t2) || !Kt && "string" != typeof Jt[t2]) {
    var e2 = "Symbol." + t2;
    Kt && qt(Qt, t2) ? Jt[t2] = Qt[t2] : Jt[t2] = Xt && Zt ? Zt(e2) : te(e2);
  }
  return Jt[t2];
}, re = d, ne = z, oe = vt, ie = Ot, ce = function(t2, e2) {
  var r2, n2;
  if ("string" === e2 && jt(r2 = t2.toString) && !xt(n2 = St(r2, t2)))
    return n2;
  if (jt(r2 = t2.valueOf) && !xt(n2 = St(r2, t2)))
    return n2;
  if ("string" !== e2 && jt(r2 = t2.toString) && !xt(n2 = St(r2, t2)))
    return n2;
  throw Et("Can't convert object to primitive value");
}, ue = ee, ae = u.TypeError, fe = ue("toPrimitive"), se = function(t2, e2) {
  if (!ne(t2) || oe(t2))
    return t2;
  var r2, n2 = ie(t2, fe);
  if (n2) {
    if (void 0 === e2 && (e2 = "default"), r2 = re(n2, t2, e2), !ne(r2) || oe(r2))
      return r2;
    throw ae("Can't convert object to primitive value");
  }
  return void 0 === e2 && (e2 = "number"), ce(t2, e2);
}, le = vt, pe = function(t2) {
  var e2 = se(t2, "string");
  return le(e2) ? e2 : e2 + "";
}, ve = z, de = u.document, he = ve(de) && ve(de.createElement), ye = function(t2) {
  return he ? de.createElement(t2) : {};
}, ge = ye, be = !s && !f(function() {
  return 7 != Object.defineProperty(ge("div"), "a", { get: function() {
    return 7;
  } }).a;
}), me = s, we = d, Oe = h, Se = O, je = W, xe = pe, Ee = $t, Te = be, Pe = Object.getOwnPropertyDescriptor;
a.f = me ? Pe : function(t2, e2) {
  if (t2 = je(t2), e2 = xe(e2), Te)
    try {
      return Pe(t2, e2);
    } catch (t3) {
    }
  if (Ee(t2, e2))
    return Se(!we(Oe.f, t2, e2), t2[e2]);
};
var Ie = {}, Re = s && f(function() {
  return 42 != Object.defineProperty(function() {
  }, "prototype", { value: 42, writable: false }).prototype;
}), Ce = u, Le = z, Ae = Ce.String, _e = Ce.TypeError, ke = function(t2) {
  if (Le(t2))
    return t2;
  throw _e(Ae(t2) + " is not an object");
}, Me = s, Ne = be, Fe = Re, De = ke, $e = pe, Ue = u.TypeError, Ge = Object.defineProperty, We = Object.getOwnPropertyDescriptor, Ve = "enumerable", Be = "configurable", ze = "writable";
Ie.f = Me ? Fe ? function(t2, e2, r2) {
  if (De(t2), e2 = $e(e2), De(r2), "function" == typeof t2 && "prototype" === e2 && "value" in r2 && ze in r2 && !r2[ze]) {
    var n2 = We(t2, e2);
    n2 && n2[ze] && (t2[e2] = r2.value, r2 = { configurable: Be in r2 ? r2[Be] : n2[Be], enumerable: Ve in r2 ? r2[Ve] : n2[Ve], writable: false });
  }
  return Ge(t2, e2, r2);
} : Ge : function(t2, e2, r2) {
  if (De(t2), e2 = $e(e2), De(r2), Ne)
    try {
      return Ge(t2, e2, r2);
    } catch (t3) {
    }
  if ("get" in r2 || "set" in r2)
    throw Ue("Accessors not supported");
  return "value" in r2 && (t2[e2] = r2.value), t2;
};
var He = Ie, qe = O, Ye = s ? function(t2, e2, r2) {
  return He.f(t2, e2, qe(1, r2));
} : function(t2, e2, r2) {
  return t2[e2] = r2, t2;
}, Ke = { exports: {} }, Xe = V, Je = At, Qe = P(Function.toString);
Xe(Je.inspectSource) || (Je.inspectSource = function(t2) {
  return Qe(t2);
});
var Ze, tr, er, rr = Je.inspectSource, nr = V, or = rr, ir = u.WeakMap, cr = nr(ir) && /native code/.test(or(ir)), ur = Tt.exports, ar = Bt, fr = ur("keys"), sr = function(t2) {
  return fr[t2] || (fr[t2] = ar(t2));
}, lr = {}, pr = cr, vr = u, dr = P, hr = z, yr = Ye, gr = $t, br = At, mr = sr, wr = lr, Or = "Object already initialized", Sr = vr.TypeError, jr = vr.WeakMap;
if (pr || br.state) {
  var xr = br.state || (br.state = new jr()), Er = dr(xr.get), Tr = dr(xr.has), Pr = dr(xr.set);
  Ze = function(t2, e2) {
    if (Tr(xr, t2))
      throw new Sr(Or);
    return e2.facade = t2, Pr(xr, t2, e2), e2;
  }, tr = function(t2) {
    return Er(xr, t2) || {};
  }, er = function(t2) {
    return Tr(xr, t2);
  };
} else {
  var Ir = mr("state");
  wr[Ir] = true, Ze = function(t2, e2) {
    if (gr(t2, Ir))
      throw new Sr(Or);
    return e2.facade = t2, yr(t2, Ir, e2), e2;
  }, tr = function(t2) {
    return gr(t2, Ir) ? t2[Ir] : {};
  }, er = function(t2) {
    return gr(t2, Ir);
  };
}
var Rr = { set: Ze, get: tr, has: er, enforce: function(t2) {
  return er(t2) ? tr(t2) : Ze(t2, {});
}, getterFor: function(t2) {
  return function(e2) {
    var r2;
    if (!hr(e2) || (r2 = tr(e2)).type !== t2)
      throw Sr("Incompatible receiver, " + t2 + " required");
    return r2;
  };
} }, Cr = s, Lr = $t, Ar = Function.prototype, _r = Cr && Object.getOwnPropertyDescriptor, kr = Lr(Ar, "name"), Mr = kr && "something" === (function() {
}).name, Nr = kr && (!Cr || Cr && _r(Ar, "name").configurable), Fr = u, Dr = V, $r = $t, Ur = Ye, Gr = Rt, Wr = rr, Vr = { EXISTS: kr, PROPER: Mr, CONFIGURABLE: Nr }.CONFIGURABLE, Br = Rr.get, zr = Rr.enforce, Hr = String(String).split("String");
(Ke.exports = function(t2, e2, r2, n2) {
  var o2, i2 = !!n2 && !!n2.unsafe, c2 = !!n2 && !!n2.enumerable, u2 = !!n2 && !!n2.noTargetGet, a2 = n2 && void 0 !== n2.name ? n2.name : e2;
  Dr(r2) && ("Symbol(" === String(a2).slice(0, 7) && (a2 = "[" + String(a2).replace(/^Symbol\(([^)]*)\)/, "$1") + "]"), (!$r(r2, "name") || Vr && r2.name !== a2) && Ur(r2, "name", a2), (o2 = zr(r2)).source || (o2.source = Hr.join("string" == typeof a2 ? a2 : ""))), t2 !== Fr ? (i2 ? !u2 && t2[e2] && (c2 = true) : delete t2[e2], c2 ? t2[e2] = r2 : Ur(t2, e2, r2)) : c2 ? t2[e2] = r2 : Gr(e2, r2);
})(Function.prototype, "toString", function() {
  return Dr(this) && Br(this).source || Wr(this);
});
var qr = {}, Yr = Math.ceil, Kr = Math.floor, Xr = function(t2) {
  var e2 = +t2;
  return e2 != e2 || 0 === e2 ? 0 : (e2 > 0 ? Kr : Yr)(e2);
}, Jr = Xr, Qr = Math.max, Zr = Math.min, tn = Xr, en = Math.min, rn = function(t2) {
  return t2 > 0 ? en(tn(t2), 9007199254740991) : 0;
}, nn = rn, on = function(t2) {
  return nn(t2.length);
}, cn = W, un = function(t2, e2) {
  var r2 = Jr(t2);
  return r2 < 0 ? Qr(r2 + e2, 0) : Zr(r2, e2);
}, an = on, fn = function(t2) {
  return function(e2, r2, n2) {
    var o2, i2 = cn(e2), c2 = an(i2), u2 = un(n2, c2);
    if (t2 && r2 != r2) {
      for (; c2 > u2; )
        if ((o2 = i2[u2++]) != o2)
          return true;
    } else
      for (; c2 > u2; u2++)
        if ((t2 || u2 in i2) && i2[u2] === r2)
          return t2 || u2 || 0;
    return !t2 && -1;
  };
}, sn = { includes: fn(true), indexOf: fn(false) }, ln = $t, pn = W, vn = sn.indexOf, dn = lr, hn = P([].push), yn = function(t2, e2) {
  var r2, n2 = pn(t2), o2 = 0, i2 = [];
  for (r2 in n2)
    !ln(dn, r2) && ln(n2, r2) && hn(i2, r2);
  for (; e2.length > o2; )
    ln(n2, r2 = e2[o2++]) && (~vn(i2, r2) || hn(i2, r2));
  return i2;
}, gn = ["constructor", "hasOwnProperty", "isPrototypeOf", "propertyIsEnumerable", "toLocaleString", "toString", "valueOf"], bn = yn, mn = gn.concat("length", "prototype");
qr.f = Object.getOwnPropertyNames || function(t2) {
  return bn(t2, mn);
};
var wn = {};
wn.f = Object.getOwnPropertySymbols;
var On = Y, Sn = qr, jn = wn, xn = ke, En = P([].concat), Tn = On("Reflect", "ownKeys") || function(t2) {
  var e2 = Sn.f(xn(t2)), r2 = jn.f;
  return r2 ? En(e2, r2(t2)) : e2;
}, Pn = $t, In = Tn, Rn = a, Cn = Ie, Ln = f, An = V, _n = /#|\.prototype\./, kn = function(t2, e2) {
  var r2 = Nn[Mn(t2)];
  return r2 == Dn || r2 != Fn && (An(e2) ? Ln(e2) : !!e2);
}, Mn = kn.normalize = function(t2) {
  return String(t2).replace(_n, ".").toLowerCase();
}, Nn = kn.data = {}, Fn = kn.NATIVE = "N", Dn = kn.POLYFILL = "P", $n = kn, Un = u, Gn = a.f, Wn = Ye, Vn = Ke.exports, Bn = Rt, zn = function(t2, e2, r2) {
  for (var n2 = In(e2), o2 = Cn.f, i2 = Rn.f, c2 = 0; c2 < n2.length; c2++) {
    var u2 = n2[c2];
    Pn(t2, u2) || r2 && Pn(r2, u2) || o2(t2, u2, i2(e2, u2));
  }
}, Hn = $n, qn = function(t2, e2) {
  var r2, n2, o2, i2, c2, u2 = t2.target, a2 = t2.global, f2 = t2.stat;
  if (r2 = a2 ? Un : f2 ? Un[u2] || Bn(u2, {}) : (Un[u2] || {}).prototype)
    for (n2 in e2) {
      if (i2 = e2[n2], o2 = t2.noTargetGet ? (c2 = Gn(r2, n2)) && c2.value : r2[n2], !Hn(a2 ? n2 : u2 + (f2 ? "." : "#") + n2, t2.forced) && void 0 !== o2) {
        if (typeof i2 == typeof o2)
          continue;
        zn(i2, o2);
      }
      (t2.sham || o2 && o2.sham) && Wn(i2, "sham", true), Vn(r2, n2, i2, t2);
    }
}, Yn = "process" == L(u.process), Kn = Ke.exports, Xn = u, Jn = V, Qn = Xn.String, Zn = Xn.TypeError, to = P, eo = ke, ro = function(t2) {
  if ("object" == typeof t2 || Jn(t2))
    return t2;
  throw Zn("Can't set " + Qn(t2) + " as a prototype");
}, no = Object.setPrototypeOf || ("__proto__" in {} ? function() {
  var t2, e2 = false, r2 = {};
  try {
    (t2 = to(Object.getOwnPropertyDescriptor(Object.prototype, "__proto__").set))(r2, []), e2 = r2 instanceof Array;
  } catch (t3) {
  }
  return function(r3, n2) {
    return eo(r3), ro(n2), e2 ? t2(r3, n2) : r3.__proto__ = n2, r3;
  };
}() : void 0), oo = Ie.f, io = $t, co = ee("toStringTag"), uo = Y, ao = Ie, fo = s, so = ee("species"), lo = K, po = u.TypeError, vo = {};
vo[ee("toStringTag")] = "z";
var ho = u, yo = "[object z]" === String(vo), go = V, bo = L, mo = ee("toStringTag"), wo = ho.Object, Oo = "Arguments" == bo(function() {
  return arguments;
}()), So = yo ? bo : function(t2) {
  var e2, r2, n2;
  return void 0 === t2 ? "Undefined" : null === t2 ? "Null" : "string" == typeof (r2 = function(t3, e3) {
    try {
      return t3[e3];
    } catch (t4) {
    }
  }(e2 = wo(t2), mo)) ? r2 : Oo ? bo(e2) : "Object" == (n2 = bo(e2)) && go(e2.callee) ? "Arguments" : n2;
}, jo = P, xo = f, Eo = V, To = So, Po = rr, Io = function() {
}, Ro = [], Co = Y("Reflect", "construct"), Lo = /^\s*(?:class|function)\b/, Ao = jo(Lo.exec), _o = !Lo.exec(Io), ko = function(t2) {
  if (!Eo(t2))
    return false;
  try {
    return Co(Io, Ro, t2), true;
  } catch (t3) {
    return false;
  }
}, Mo = function(t2) {
  if (!Eo(t2))
    return false;
  switch (To(t2)) {
    case "AsyncFunction":
    case "GeneratorFunction":
    case "AsyncGeneratorFunction":
      return false;
  }
  try {
    return _o || !!Ao(Lo, Po(t2));
  } catch (t3) {
    return true;
  }
};
Mo.sham = true;
var No, Fo, Do, $o, Uo = !Co || xo(function() {
  var t2;
  return ko(ko.call) || !ko(Object) || !ko(function() {
    t2 = true;
  }) || t2;
}) ? Mo : ko, Go = Uo, Wo = ht, Vo = u.TypeError, Bo = ke, zo = function(t2) {
  if (Go(t2))
    return t2;
  throw Vo(Wo(t2) + " is not a constructor");
}, Ho = ee("species"), qo = l, Yo = Function.prototype, Ko = Yo.apply, Xo = Yo.call, Jo = "object" == typeof Reflect && Reflect.apply || (qo ? Xo.bind(Ko) : function() {
  return Xo.apply(Ko, arguments);
}), Qo = mt, Zo = l, ti = P(P.bind), ei = function(t2, e2) {
  return Qo(t2), void 0 === e2 ? t2 : Zo ? ti(t2, e2) : function() {
    return t2.apply(e2, arguments);
  };
}, ri = Y("document", "documentElement"), ni = P([].slice), oi = u.TypeError, ii = /(?:ipad|iphone|ipod).*applewebkit/i.test(X), ci = u, ui = Jo, ai = ei, fi = V, si = $t, li = f, pi = ri, vi = ni, di = ye, hi = function(t2, e2) {
  if (t2 < e2)
    throw oi("Not enough arguments");
  return t2;
}, yi = ii, gi = Yn, bi = ci.setImmediate, mi = ci.clearImmediate, wi = ci.process, Oi = ci.Dispatch, Si = ci.Function, ji = ci.MessageChannel, xi = ci.String, Ei = 0, Ti = {}, Pi = "onreadystatechange";
try {
  No = ci.location;
} catch (t2) {
}
var Ii = function(t2) {
  if (si(Ti, t2)) {
    var e2 = Ti[t2];
    delete Ti[t2], e2();
  }
}, Ri = function(t2) {
  return function() {
    Ii(t2);
  };
}, Ci = function(t2) {
  Ii(t2.data);
}, Li = function(t2) {
  ci.postMessage(xi(t2), No.protocol + "//" + No.host);
};
bi && mi || (bi = function(t2) {
  hi(arguments.length, 1);
  var e2 = fi(t2) ? t2 : Si(t2), r2 = vi(arguments, 1);
  return Ti[++Ei] = function() {
    ui(e2, void 0, r2);
  }, Fo(Ei), Ei;
}, mi = function(t2) {
  delete Ti[t2];
}, gi ? Fo = function(t2) {
  wi.nextTick(Ri(t2));
} : Oi && Oi.now ? Fo = function(t2) {
  Oi.now(Ri(t2));
} : ji && !yi ? ($o = (Do = new ji()).port2, Do.port1.onmessage = Ci, Fo = ai($o.postMessage, $o)) : ci.addEventListener && fi(ci.postMessage) && !ci.importScripts && No && "file:" !== No.protocol && !li(Li) ? (Fo = Li, ci.addEventListener("message", Ci, false)) : Fo = Pi in di("script") ? function(t2) {
  pi.appendChild(di("script"))[Pi] = function() {
    pi.removeChild(this), Ii(t2);
  };
} : function(t2) {
  setTimeout(Ri(t2), 0);
});
var Ai, _i, ki, Mi, Ni, Fi, Di, $i, Ui = { set: bi, clear: mi }, Gi = u, Wi = /ipad|iphone|ipod/i.test(X) && void 0 !== Gi.Pebble, Vi = /web0s(?!.*chrome)/i.test(X), Bi = u, zi = ei, Hi = a.f, qi = Ui.set, Yi = ii, Ki = Wi, Xi = Vi, Ji = Yn, Qi = Bi.MutationObserver || Bi.WebKitMutationObserver, Zi = Bi.document, tc = Bi.process, ec = Bi.Promise, rc = Hi(Bi, "queueMicrotask"), nc = rc && rc.value;
nc || (Ai = function() {
  var t2, e2;
  for (Ji && (t2 = tc.domain) && t2.exit(); _i; ) {
    e2 = _i.fn, _i = _i.next;
    try {
      e2();
    } catch (t3) {
      throw _i ? Mi() : ki = void 0, t3;
    }
  }
  ki = void 0, t2 && t2.enter();
}, Yi || Ji || Xi || !Qi || !Zi ? !Ki && ec && ec.resolve ? ((Di = ec.resolve(void 0)).constructor = ec, $i = zi(Di.then, Di), Mi = function() {
  $i(Ai);
}) : Ji ? Mi = function() {
  tc.nextTick(Ai);
} : (qi = zi(qi, Bi), Mi = function() {
  qi(Ai);
}) : (Ni = true, Fi = Zi.createTextNode(""), new Qi(Ai).observe(Fi, { characterData: true }), Mi = function() {
  Fi.data = Ni = !Ni;
}));
var oc = nc || function(t2) {
  var e2 = { fn: t2, next: void 0 };
  ki && (ki.next = e2), _i || (_i = e2, Mi()), ki = e2;
}, ic = function(t2) {
  try {
    return { error: false, value: t2() };
  } catch (t3) {
    return { error: true, value: t3 };
  }
}, cc = function() {
  this.head = null, this.tail = null;
};
cc.prototype = { add: function(t2) {
  var e2 = { item: t2, next: null };
  this.head ? this.tail.next = e2 : this.head = e2, this.tail = e2;
}, get: function() {
  var t2 = this.head;
  if (t2)
    return this.head = t2.next, this.tail === t2 && (this.tail = null), t2.item;
} };
var uc = cc, ac = u.Promise, fc = "object" == typeof window && "object" != typeof Deno, sc = u, lc = ac, pc = V, vc = $n, dc = rr, hc = fc, yc = nt, gc = ee("species"), bc = false, mc = pc(sc.PromiseRejectionEvent), wc = vc("Promise", function() {
  var t2 = dc(lc), e2 = t2 !== String(lc);
  if (!e2 && 66 === yc)
    return true;
  if (yc >= 51 && /native code/.test(t2))
    return false;
  var r2 = new lc(function(t3) {
    t3(1);
  }), n2 = function(t3) {
    t3(function() {
    }, function() {
    });
  };
  return (r2.constructor = {})[gc] = n2, !(bc = r2.then(function() {
  }) instanceof n2) || !e2 && hc && !mc;
}), Oc = { CONSTRUCTOR: wc, REJECTION_EVENT: mc, SUBCLASSING: bc }, Sc = {}, jc = mt, xc = function(t2) {
  var e2, r2;
  this.promise = new t2(function(t3, n2) {
    if (void 0 !== e2 || void 0 !== r2)
      throw TypeError("Bad Promise constructor");
    e2 = t3, r2 = n2;
  }), this.resolve = jc(e2), this.reject = jc(r2);
};
Sc.f = function(t2) {
  return new xc(t2);
};
var Ec, Tc, Pc, Ic = qn, Rc = Yn, Cc = u, Lc = d, Ac = Ke.exports, _c = function(t2, e2, r2) {
  for (var n2 in e2)
    Kn(t2, n2, e2[n2], r2);
  return t2;
}, kc = no, Mc = function(t2, e2, r2) {
  t2 && !r2 && (t2 = t2.prototype), t2 && !io(t2, co) && oo(t2, co, { configurable: true, value: e2 });
}, Nc = function(t2) {
  var e2 = uo(t2), r2 = ao.f;
  fo && e2 && !e2[so] && r2(e2, so, { configurable: true, get: function() {
    return this;
  } });
}, Fc = mt, Dc = V, $c = z, Uc = function(t2, e2) {
  if (lo(e2, t2))
    return t2;
  throw po("Incorrect invocation");
}, Gc = function(t2, e2) {
  var r2, n2 = Bo(t2).constructor;
  return void 0 === n2 || null == (r2 = Bo(n2)[Ho]) ? e2 : zo(r2);
}, Wc = Ui.set, Vc = oc, Bc = ic, zc = uc, Hc = Rr, qc = ac, Yc = Sc, Kc = "Promise", Xc = Oc.CONSTRUCTOR, Jc = Oc.REJECTION_EVENT, Qc = Oc.SUBCLASSING, Zc = Hc.getterFor(Kc), tu = Hc.set, eu = qc && qc.prototype, ru = qc, nu = eu, ou = Cc.TypeError, iu = Cc.document, cu = Cc.process, uu = Yc.f, au = uu, fu = !!(iu && iu.createEvent && Cc.dispatchEvent), su = function(t2) {
  var e2;
  return !(!$c(t2) || !Dc(e2 = t2.then)) && e2;
}, lu = function(t2, e2) {
  var r2, n2, o2, i2 = e2.value, c2 = 1 == e2.state, u2 = c2 ? t2.ok : t2.fail, a2 = t2.resolve, f2 = t2.reject, s2 = t2.domain;
  try {
    u2 ? (c2 || (2 === e2.rejection && yu(e2), e2.rejection = 1), true === u2 ? r2 = i2 : (s2 && s2.enter(), r2 = u2(i2), s2 && (s2.exit(), o2 = true)), r2 === t2.promise ? f2(ou("Promise-chain cycle")) : (n2 = su(r2)) ? Lc(n2, r2, a2, f2) : a2(r2)) : f2(i2);
  } catch (t3) {
    s2 && !o2 && s2.exit(), f2(t3);
  }
}, pu = function(t2, e2) {
  t2.notified || (t2.notified = true, Vc(function() {
    for (var r2, n2 = t2.reactions; r2 = n2.get(); )
      lu(r2, t2);
    t2.notified = false, e2 && !t2.rejection && du(t2);
  }));
}, vu = function(t2, e2, r2) {
  var n2, o2;
  fu ? ((n2 = iu.createEvent("Event")).promise = e2, n2.reason = r2, n2.initEvent(t2, false, true), Cc.dispatchEvent(n2)) : n2 = { promise: e2, reason: r2 }, !Jc && (o2 = Cc["on" + t2]) && o2(n2);
}, du = function(t2) {
  Lc(Wc, Cc, function() {
    var e2, r2 = t2.facade, n2 = t2.value;
    if (hu(t2) && (e2 = Bc(function() {
      Rc ? cu.emit("unhandledRejection", n2, r2) : vu("unhandledrejection", r2, n2);
    }), t2.rejection = Rc || hu(t2) ? 2 : 1, e2.error))
      throw e2.value;
  });
}, hu = function(t2) {
  return 1 !== t2.rejection && !t2.parent;
}, yu = function(t2) {
  Lc(Wc, Cc, function() {
    var e2 = t2.facade;
    Rc ? cu.emit("rejectionHandled", e2) : vu("rejectionhandled", e2, t2.value);
  });
}, gu = function(t2, e2, r2) {
  return function(n2) {
    t2(e2, n2, r2);
  };
}, bu = function(t2, e2, r2) {
  t2.done || (t2.done = true, r2 && (t2 = r2), t2.value = e2, t2.state = 2, pu(t2, true));
}, mu = function(t2, e2, r2) {
  if (!t2.done) {
    t2.done = true, r2 && (t2 = r2);
    try {
      if (t2.facade === e2)
        throw ou("Promise can't be resolved itself");
      var n2 = su(e2);
      n2 ? Vc(function() {
        var r3 = { done: false };
        try {
          Lc(n2, e2, gu(mu, r3, t2), gu(bu, r3, t2));
        } catch (e3) {
          bu(r3, e3, t2);
        }
      }) : (t2.value = e2, t2.state = 1, pu(t2, false));
    } catch (e3) {
      bu({ done: false }, e3, t2);
    }
  }
};
if (Xc && (nu = (ru = function(t2) {
  Uc(this, nu), Fc(t2), Lc(Ec, this);
  var e2 = Zc(this);
  try {
    t2(gu(mu, e2), gu(bu, e2));
  } catch (t3) {
    bu(e2, t3);
  }
}).prototype, (Ec = function(t2) {
  tu(this, { type: Kc, done: false, notified: false, parent: false, reactions: new zc(), rejection: false, state: 0, value: void 0 });
}).prototype = _c(nu, { then: function(t2, e2) {
  var r2 = Zc(this), n2 = uu(Gc(this, ru));
  return r2.parent = true, n2.ok = !Dc(t2) || t2, n2.fail = Dc(e2) && e2, n2.domain = Rc ? cu.domain : void 0, 0 == r2.state ? r2.reactions.add(n2) : Vc(function() {
    lu(n2, r2);
  }), n2.promise;
} }), Tc = function() {
  var t2 = new Ec(), e2 = Zc(t2);
  this.promise = t2, this.resolve = gu(mu, e2), this.reject = gu(bu, e2);
}, Yc.f = uu = function(t2) {
  return t2 === ru || void 0 === t2 ? new Tc(t2) : au(t2);
}, Dc(qc) && eu !== Object.prototype)) {
  Pc = eu.then, Qc || Ac(eu, "then", function(t2, e2) {
    var r2 = this;
    return new ru(function(t3, e3) {
      Lc(Pc, r2, t3, e3);
    }).then(t2, e2);
  }, { unsafe: true });
  try {
    delete eu.constructor;
  } catch (t2) {
  }
  kc && kc(eu, nu);
}
Ic({ global: true, wrap: true, forced: Xc }, { Promise: ru }), Mc(ru, Kc, false), Nc(Kc);
var wu = {}, Ou = wu, Su = ee("iterator"), ju = Array.prototype, xu = So, Eu = Ot, Tu = wu, Pu = ee("iterator"), Iu = function(t2) {
  if (null != t2)
    return Eu(t2, Pu) || Eu(t2, "@@iterator") || Tu[xu(t2)];
}, Ru = d, Cu = mt, Lu = ke, Au = ht, _u = Iu, ku = u.TypeError, Mu = d, Nu = ke, Fu = Ot, Du = ei, $u = d, Uu = ke, Gu = ht, Wu = function(t2) {
  return void 0 !== t2 && (Ou.Array === t2 || ju[Su] === t2);
}, Vu = on, Bu = K, zu = function(t2, e2) {
  var r2 = arguments.length < 2 ? _u(t2) : e2;
  if (Cu(r2))
    return Lu(Ru(r2, t2));
  throw ku(Au(t2) + " is not iterable");
}, Hu = Iu, qu = function(t2, e2, r2) {
  var n2, o2;
  Nu(t2);
  try {
    if (!(n2 = Fu(t2, "return"))) {
      if ("throw" === e2)
        throw r2;
      return r2;
    }
    n2 = Mu(n2, t2);
  } catch (t3) {
    o2 = true, n2 = t3;
  }
  if ("throw" === e2)
    throw r2;
  if (o2)
    throw n2;
  return Nu(n2), r2;
}, Yu = u.TypeError, Ku = function(t2, e2) {
  this.stopped = t2, this.result = e2;
}, Xu = Ku.prototype, Ju = function(t2, e2, r2) {
  var n2, o2, i2, c2, u2, a2, f2, s2 = r2 && r2.that, l2 = !(!r2 || !r2.AS_ENTRIES), p2 = !(!r2 || !r2.IS_ITERATOR), v2 = !(!r2 || !r2.INTERRUPTED), d2 = Du(e2, s2), h2 = function(t3) {
    return n2 && qu(n2, "normal", t3), new Ku(true, t3);
  }, y2 = function(t3) {
    return l2 ? (Uu(t3), v2 ? d2(t3[0], t3[1], h2) : d2(t3[0], t3[1])) : v2 ? d2(t3, h2) : d2(t3);
  };
  if (p2)
    n2 = t2;
  else {
    if (!(o2 = Hu(t2)))
      throw Yu(Gu(t2) + " is not iterable");
    if (Wu(o2)) {
      for (i2 = 0, c2 = Vu(t2); c2 > i2; i2++)
        if ((u2 = y2(t2[i2])) && Bu(Xu, u2))
          return u2;
      return new Ku(false);
    }
    n2 = zu(t2, o2);
  }
  for (a2 = n2.next; !(f2 = $u(a2, n2)).done; ) {
    try {
      u2 = y2(f2.value);
    } catch (t3) {
      qu(n2, "throw", t3);
    }
    if ("object" == typeof u2 && u2 && Bu(Xu, u2))
      return u2;
  }
  return new Ku(false);
}, Qu = ee("iterator"), Zu = false;
try {
  var ta = 0, ea = { next: function() {
    return { done: !!ta++ };
  }, return: function() {
    Zu = true;
  } };
  ea[Qu] = function() {
    return this;
  }, Array.from(ea, function() {
    throw 2;
  });
} catch (t2) {
}
var ra = ac, na = function(t2, e2) {
  if (!e2 && !Zu)
    return false;
  var r2 = false;
  try {
    var n2 = {};
    n2[Qu] = function() {
      return { next: function() {
        return { done: r2 = true };
      } };
    }, t2(n2);
  } catch (t3) {
  }
  return r2;
}, oa = Oc.CONSTRUCTOR || !na(function(t2) {
  ra.all(t2).then(void 0, function() {
  });
}), ia = d, ca = mt, ua = Sc, aa = ic, fa = Ju;
qn({ target: "Promise", stat: true, forced: oa }, { all: function(t2) {
  var e2 = this, r2 = ua.f(e2), n2 = r2.resolve, o2 = r2.reject, i2 = aa(function() {
    var r3 = ca(e2.resolve), i3 = [], c2 = 0, u2 = 1;
    fa(t2, function(t3) {
      var a2 = c2++, f2 = false;
      u2++, ia(r3, e2, t3).then(function(t4) {
        f2 || (f2 = true, i3[a2] = t4, --u2 || n2(i3));
      }, o2);
    }), --u2 || n2(i3);
  });
  return i2.error && o2(i2.value), r2.promise;
} });
var sa = qn, la = Oc.CONSTRUCTOR, pa = ac, va = Y, da = V, ha = Ke.exports, ya = pa && pa.prototype;
if (sa({ target: "Promise", proto: true, forced: la, real: true }, { catch: function(t2) {
  return this.then(void 0, t2);
} }), da(pa)) {
  var ga = va("Promise").prototype.catch;
  ya.catch !== ga && ha(ya, "catch", ga, { unsafe: true });
}
var ba = d, ma = mt, wa = Sc, Oa = ic, Sa = Ju;
qn({ target: "Promise", stat: true, forced: oa }, { race: function(t2) {
  var e2 = this, r2 = wa.f(e2), n2 = r2.reject, o2 = Oa(function() {
    var o3 = ma(e2.resolve);
    Sa(t2, function(t3) {
      ba(o3, e2, t3).then(r2.resolve, n2);
    });
  });
  return o2.error && n2(o2.value), r2.promise;
} });
var ja = d, xa = Sc;
qn({ target: "Promise", stat: true, forced: Oc.CONSTRUCTOR }, { reject: function(t2) {
  var e2 = xa.f(this);
  return ja(e2.reject, void 0, t2), e2.promise;
} });
var Ea = ke, Ta = z, Pa = Sc, Ia = function(t2, e2) {
  if (Ea(t2), Ta(e2) && e2.constructor === t2)
    return e2;
  var r2 = Pa.f(t2);
  return (0, r2.resolve)(e2), r2.promise;
};
qn({ target: "Promise", stat: true, forced: Oc.CONSTRUCTOR }, { resolve: function(t2) {
  return Ia(this, t2);
} });
var Ra = So, Ca = u.String, La = function(t2) {
  if ("Symbol" === Ra(t2))
    throw TypeError("Cannot convert a Symbol value to a string");
  return Ca(t2);
}, Aa = ke, _a = f, ka = u.RegExp, Ma = _a(function() {
  var t2 = ka("a", "y");
  return t2.lastIndex = 2, null != t2.exec("abcd");
}), Na = Ma || _a(function() {
  return !ka("a", "y").sticky;
}), Fa = { BROKEN_CARET: Ma || _a(function() {
  var t2 = ka("^r", "gy");
  return t2.lastIndex = 2, null != t2.exec("str");
}), MISSED_STICKY: Na, UNSUPPORTED_Y: Ma }, Da = {}, $a = yn, Ua = gn, Ga = Object.keys || function(t2) {
  return $a(t2, Ua);
}, Wa = s, Va = Re, Ba = Ie, za = ke, Ha = W, qa = Ga;
Da.f = Wa && !Va ? Object.defineProperties : function(t2, e2) {
  za(t2);
  for (var r2, n2 = Ha(e2), o2 = qa(e2), i2 = o2.length, c2 = 0; i2 > c2; )
    Ba.f(t2, r2 = o2[c2++], n2[r2]);
  return t2;
};
var Ya, Ka = ke, Xa = Da, Ja = gn, Qa = lr, Za = ri, tf = ye, ef = "prototype", rf = "script", nf = sr("IE_PROTO"), of = function() {
}, cf = function(t2) {
  return "<" + rf + ">" + t2 + "</" + rf + ">";
}, uf = function(t2) {
  t2.write(cf("")), t2.close();
  var e2 = t2.parentWindow.Object;
  return t2 = null, e2;
}, af = function() {
  try {
    Ya = new ActiveXObject("htmlfile");
  } catch (t3) {
  }
  var t2, e2, r2;
  af = "undefined" != typeof document ? document.domain && Ya ? uf(Ya) : (e2 = tf("iframe"), r2 = "java" + rf + ":", e2.style.display = "none", Za.appendChild(e2), e2.src = String(r2), (t2 = e2.contentWindow.document).open(), t2.write(cf("document.F=Object")), t2.close(), t2.F) : uf(Ya);
  for (var n2 = Ja.length; n2--; )
    delete af[ef][Ja[n2]];
  return af();
};
Qa[nf] = true;
var ff, sf, lf = Object.create || function(t2, e2) {
  var r2;
  return null !== t2 ? (of[ef] = Ka(t2), r2 = new of(), of[ef] = null, r2[nf] = t2) : r2 = af(), void 0 === e2 ? r2 : Xa.f(r2, e2);
}, pf = f, vf = u.RegExp, df = pf(function() {
  var t2 = vf(".", "s");
  return !(t2.dotAll && t2.exec("\n") && "s" === t2.flags);
}), hf = f, yf = u.RegExp, gf = hf(function() {
  var t2 = yf("(?<a>b)", "g");
  return "b" !== t2.exec("b").groups.a || "bc" !== "b".replace(t2, "$<a>c");
}), bf = d, mf = P, wf = La, Of = function() {
  var t2 = Aa(this), e2 = "";
  return t2.hasIndices && (e2 += "d"), t2.global && (e2 += "g"), t2.ignoreCase && (e2 += "i"), t2.multiline && (e2 += "m"), t2.dotAll && (e2 += "s"), t2.unicode && (e2 += "u"), t2.sticky && (e2 += "y"), e2;
}, Sf = Fa, jf = Tt.exports, xf = lf, Ef = Rr.get, Tf = df, Pf = gf, If = jf("native-string-replace", String.prototype.replace), Rf = RegExp.prototype.exec, Cf = Rf, Lf = mf("".charAt), Af = mf("".indexOf), _f = mf("".replace), kf = mf("".slice), Mf = (sf = /b*/g, bf(Rf, ff = /a/, "a"), bf(Rf, sf, "a"), 0 !== ff.lastIndex || 0 !== sf.lastIndex), Nf = Sf.BROKEN_CARET, Ff = void 0 !== /()??/.exec("")[1];
(Mf || Ff || Nf || Tf || Pf) && (Cf = function(t2) {
  var e2, r2, n2, o2, i2, c2, u2, a2 = this, f2 = Ef(a2), s2 = wf(t2), l2 = f2.raw;
  if (l2)
    return l2.lastIndex = a2.lastIndex, e2 = bf(Cf, l2, s2), a2.lastIndex = l2.lastIndex, e2;
  var p2 = f2.groups, v2 = Nf && a2.sticky, d2 = bf(Of, a2), h2 = a2.source, y2 = 0, g2 = s2;
  if (v2 && (d2 = _f(d2, "y", ""), -1 === Af(d2, "g") && (d2 += "g"), g2 = kf(s2, a2.lastIndex), a2.lastIndex > 0 && (!a2.multiline || a2.multiline && "\n" !== Lf(s2, a2.lastIndex - 1)) && (h2 = "(?: " + h2 + ")", g2 = " " + g2, y2++), r2 = new RegExp("^(?:" + h2 + ")", d2)), Ff && (r2 = new RegExp("^" + h2 + "$(?!\\s)", d2)), Mf && (n2 = a2.lastIndex), o2 = bf(Rf, v2 ? r2 : a2, g2), v2 ? o2 ? (o2.input = kf(o2.input, y2), o2[0] = kf(o2[0], y2), o2.index = a2.lastIndex, a2.lastIndex += o2[0].length) : a2.lastIndex = 0 : Mf && o2 && (a2.lastIndex = a2.global ? o2.index + o2[0].length : n2), Ff && o2 && o2.length > 1 && bf(If, o2[0], r2, function() {
    for (i2 = 1; i2 < arguments.length - 2; i2++)
      void 0 === arguments[i2] && (o2[i2] = void 0);
  }), o2 && p2)
    for (o2.groups = c2 = xf(null), i2 = 0; i2 < p2.length; i2++)
      c2[(u2 = p2[i2])[0]] = o2[u2[1]];
  return o2;
});
var Df = Cf;
qn({ target: "RegExp", proto: true, forced: /./.exec !== Df }, { exec: Df });
var $f = P, Uf = Ke.exports, Gf = Df, Wf = f, Vf = ee, Bf = Ye, zf = Vf("species"), Hf = RegExp.prototype, qf = function(t2, e2, r2, n2) {
  var o2 = Vf(t2), i2 = !Wf(function() {
    var e3 = {};
    return e3[o2] = function() {
      return 7;
    }, 7 != ""[t2](e3);
  }), c2 = i2 && !Wf(function() {
    var e3 = false, r3 = /a/;
    return "split" === t2 && ((r3 = {}).constructor = {}, r3.constructor[zf] = function() {
      return r3;
    }, r3.flags = "", r3[o2] = /./[o2]), r3.exec = function() {
      return e3 = true, null;
    }, r3[o2](""), !e3;
  });
  if (!i2 || !c2 || r2) {
    var u2 = $f(/./[o2]), a2 = e2(o2, ""[t2], function(t3, e3, r3, n3, o3) {
      var c3 = $f(t3), a3 = e3.exec;
      return a3 === Gf || a3 === Hf.exec ? i2 && !o3 ? { done: true, value: u2(e3, r3, n3) } : { done: true, value: c3(r3, e3, n3) } : { done: false };
    });
    Uf(String.prototype, t2, a2[0]), Uf(Hf, o2, a2[1]);
  }
  n2 && Bf(Hf[o2], "sham", true);
}, Yf = P, Kf = Xr, Xf = La, Jf = $, Qf = Yf("".charAt), Zf = Yf("".charCodeAt), ts = Yf("".slice), es = function(t2) {
  return function(e2, r2) {
    var n2, o2, i2 = Xf(Jf(e2)), c2 = Kf(r2), u2 = i2.length;
    return c2 < 0 || c2 >= u2 ? t2 ? "" : void 0 : (n2 = Zf(i2, c2)) < 55296 || n2 > 56319 || c2 + 1 === u2 || (o2 = Zf(i2, c2 + 1)) < 56320 || o2 > 57343 ? t2 ? Qf(i2, c2) : n2 : t2 ? ts(i2, c2, c2 + 2) : o2 - 56320 + (n2 - 55296 << 10) + 65536;
  };
}, rs = { codeAt: es(false), charAt: es(true) }.charAt, ns = function(t2, e2, r2) {
  return e2 + (r2 ? rs(t2, e2).length : 1);
}, os = d, is = ke, cs = V, us = L, as = Df, fs = u.TypeError, ss = function(t2, e2) {
  var r2 = t2.exec;
  if (cs(r2)) {
    var n2 = os(r2, t2, e2);
    return null !== n2 && is(n2), n2;
  }
  if ("RegExp" === us(t2))
    return os(as, t2, e2);
  throw fs("RegExp#exec called on incompatible receiver");
}, ls = d, ps = ke, vs = rn, ds = La, hs = $, ys = Ot, gs = ns, bs = ss;
qf("match", function(t2, e2, r2) {
  return [function(e3) {
    var r3 = hs(this), n2 = null == e3 ? void 0 : ys(e3, t2);
    return n2 ? ls(n2, e3, r3) : new RegExp(e3)[t2](ds(r3));
  }, function(t3) {
    var n2 = ps(this), o2 = ds(t3), i2 = r2(e2, n2, o2);
    if (i2.done)
      return i2.value;
    if (!n2.global)
      return bs(n2, o2);
    var c2 = n2.unicode;
    n2.lastIndex = 0;
    for (var u2, a2 = [], f2 = 0; null !== (u2 = bs(n2, o2)); ) {
      var s2 = ds(u2[0]);
      a2[f2] = s2, "" === s2 && (n2.lastIndex = gs(o2, vs(n2.lastIndex), c2)), f2++;
    }
    return 0 === f2 ? null : a2;
  }];
});
var ms = P, ws = Nt, Os = Math.floor, Ss = ms("".charAt), js = ms("".replace), xs = ms("".slice), Es = /\$([$&'`]|\d{1,2}|<[^>]*>)/g, Ts = /\$([$&'`]|\d{1,2})/g, Ps = Jo, Is = d, Rs = P, Cs = qf, Ls = f, As = ke, _s = V, ks = Xr, Ms = rn, Ns = La, Fs = $, Ds = ns, $s = Ot, Us = function(t2, e2, r2, n2, o2, i2) {
  var c2 = r2 + t2.length, u2 = n2.length, a2 = Ts;
  return void 0 !== o2 && (o2 = ws(o2), a2 = Es), js(i2, a2, function(i3, a3) {
    var f2;
    switch (Ss(a3, 0)) {
      case "$":
        return "$";
      case "&":
        return t2;
      case "`":
        return xs(e2, 0, r2);
      case "'":
        return xs(e2, c2);
      case "<":
        f2 = o2[xs(a3, 1, -1)];
        break;
      default:
        var s2 = +a3;
        if (0 === s2)
          return i3;
        if (s2 > u2) {
          var l2 = Os(s2 / 10);
          return 0 === l2 ? i3 : l2 <= u2 ? void 0 === n2[l2 - 1] ? Ss(a3, 1) : n2[l2 - 1] + Ss(a3, 1) : i3;
        }
        f2 = n2[s2 - 1];
    }
    return void 0 === f2 ? "" : f2;
  });
}, Gs = ss, Ws = ee("replace"), Vs = Math.max, Bs = Math.min, zs = Rs([].concat), Hs = Rs([].push), qs = Rs("".indexOf), Ys = Rs("".slice), Ks = function(t2) {
  return void 0 === t2 ? t2 : String(t2);
}, Xs = "$0" === "a".replace(/./, "$0"), Js = !!/./[Ws] && "" === /./[Ws]("a", "$0");
Cs("replace", function(t2, e2, r2) {
  var n2 = Js ? "$" : "$0";
  return [function(t3, r3) {
    var n3 = Fs(this), o2 = null == t3 ? void 0 : $s(t3, Ws);
    return o2 ? Is(o2, t3, n3, r3) : Is(e2, Ns(n3), t3, r3);
  }, function(t3, o2) {
    var i2 = As(this), c2 = Ns(t3);
    if ("string" == typeof o2 && -1 === qs(o2, n2) && -1 === qs(o2, "$<")) {
      var u2 = r2(e2, i2, c2, o2);
      if (u2.done)
        return u2.value;
    }
    var a2 = _s(o2);
    a2 || (o2 = Ns(o2));
    var f2 = i2.global;
    if (f2) {
      var s2 = i2.unicode;
      i2.lastIndex = 0;
    }
    for (var l2 = []; ; ) {
      var p2 = Gs(i2, c2);
      if (null === p2)
        break;
      if (Hs(l2, p2), !f2)
        break;
      "" === Ns(p2[0]) && (i2.lastIndex = Ds(c2, Ms(i2.lastIndex), s2));
    }
    for (var v2 = "", d2 = 0, h2 = 0; h2 < l2.length; h2++) {
      for (var y2 = Ns((p2 = l2[h2])[0]), g2 = Vs(Bs(ks(p2.index), c2.length), 0), b2 = [], m2 = 1; m2 < p2.length; m2++)
        Hs(b2, Ks(p2[m2]));
      var w2 = p2.groups;
      if (a2) {
        var O2 = zs([y2], b2, g2, c2);
        void 0 !== w2 && Hs(O2, w2);
        var S2 = Ns(Ps(o2, void 0, O2));
      } else
        S2 = Us(y2, c2, g2, b2, w2, o2);
      g2 >= d2 && (v2 += Ys(c2, d2, g2) + S2, d2 = g2 + y2.length);
    }
    return v2 + Ys(c2, d2);
  }];
}, !!Ls(function() {
  var t2 = /./;
  return t2.exec = function() {
    var t3 = [];
    return t3.groups = { a: "7" }, t3;
  }, "7" !== "".replace(t2, "$<a>");
}) || !Xs || Js);
var Qs, Zs = z, tl = L, el = ee("match"), rl = function(t2) {
  var e2;
  return Zs(t2) && (void 0 !== (e2 = t2[el]) ? !!e2 : "RegExp" == tl(t2));
}, nl = u.TypeError, ol = function(t2) {
  if (rl(t2))
    throw nl("The method doesn't accept regular expressions");
  return t2;
}, il = ee("match"), cl = function(t2) {
  var e2 = /./;
  try {
    "/./"[t2](e2);
  } catch (r2) {
    try {
      return e2[il] = false, "/./"[t2](e2);
    } catch (t3) {
    }
  }
  return false;
}, ul = qn, al = P, fl = a.f, sl = rn, ll = La, pl = ol, vl = $, dl = cl, hl = al("".startsWith), yl = al("".slice), gl = Math.min, bl = dl("startsWith");
ul({ target: "String", proto: true, forced: !!(bl || (Qs = fl(String.prototype, "startsWith"), !Qs || Qs.writable)) && !bl }, { startsWith: function(t2) {
  var e2 = ll(vl(this));
  pl(t2);
  var r2 = sl(gl(arguments.length > 1 ? arguments[1] : void 0, e2.length)), n2 = ll(t2);
  return hl ? hl(e2, n2, r2) : yl(e2, r2, r2 + n2.length) === n2;
} });
var ml = lf, wl = Ie, Ol = ee("unscopables"), Sl = Array.prototype;
null == Sl[Ol] && wl.f(Sl, Ol, { configurable: true, value: ml(null) });
var jl = sn.includes, xl = function(t2) {
  Sl[Ol][t2] = true;
};
qn({ target: "Array", proto: true }, { includes: function(t2) {
  return jl(this, t2, arguments.length > 1 ? arguments[1] : void 0);
} }), xl("includes");
var El = qn, Tl = P, Pl = a.f, Il = rn, Rl = La, Cl = ol, Ll = $, Al = cl, _l = Tl("".endsWith), kl = Tl("".slice), Ml = Math.min, Nl = Al("endsWith"), Fl = !Nl && !!function() {
  var t2 = Pl(String.prototype, "endsWith");
  return t2 && !t2.writable;
}();
function Dl(t2, e2, r2, n2) {
  return new (r2 || (r2 = Promise))(function(o2, i2) {
    function c2(t3) {
      try {
        a2(n2.next(t3));
      } catch (t4) {
        i2(t4);
      }
    }
    function u2(t3) {
      try {
        a2(n2.throw(t3));
      } catch (t4) {
        i2(t4);
      }
    }
    function a2(t3) {
      var e3;
      t3.done ? o2(t3.value) : (e3 = t3.value, e3 instanceof r2 ? e3 : new r2(function(t4) {
        t4(e3);
      })).then(c2, u2);
    }
    a2((n2 = n2.apply(t2, e2 || [])).next());
  });
}
El({ target: "String", proto: true, forced: !Fl && !Nl }, { endsWith: function(t2) {
  var e2 = Rl(Ll(this));
  Cl(t2);
  var r2 = arguments.length > 1 ? arguments[1] : void 0, n2 = e2.length, o2 = void 0 === r2 ? n2 : Ml(Il(r2), n2), i2 = Rl(t2);
  return _l ? _l(e2, i2, o2) : kl(e2, o2 - i2.length, o2) === i2;
} });
const $l = (t2) => {
  const e2 = t2.match(/^(https?\:)\/\/(([^:\/?#]*)(?:\:([0-9]+))?)([\/]{0,1}[^?#]*)(\?[^#]*|)(#.*|)$/);
  return e2 && { href: t2, protocol: e2[1], host: e2[2], hostname: e2[3], port: e2[4], pathname: e2[5], search: e2[6], hash: e2[7] };
}, Ul = (t2) => Dl(void 0, void 0, void 0, function* () {
  const e2 = yield ((t3) => new Promise((e3, r2) => {
    try {
      const r3 = new XMLHttpRequest();
      r3.open("GET", t3, true), r3.responseType = "blob", r3.onload = () => {
        const t4 = new FileReader();
        t4.readAsArrayBuffer(r3.response), t4.onloadend = () => {
          e3(t4.result);
        };
      }, r3.send();
    } catch (e4) {
      r2(`error while retrieving file ${t3}.`);
    }
  }))(t2);
  return (yield mammoth.convertToHtml({ arrayBuffer: e2 })).value;
}), Gl = () => {
  let t2 = null, e2 = 0;
  return { subscribe: (r2, n2 = 3e3, o2 = 5) => {
    if (!Wl(r2))
      return t2 = setInterval(() => {
        e2++, e2 >= o2 && clearInterval(t2), ((t3) => {
          if (t3) {
            const e3 = t3.src;
            t3.src = "about:blank", setTimeout(() => {
              t3 && (t3.src = e3);
            }, 100);
          }
        })(r2);
      }, n2), t2;
    t2 && clearInterval(t2);
  }, unsubscribe: () => {
    t2 && clearInterval(t2);
  } };
}, Wl = (t2) => {
  var e2;
  let r2 = false;
  try {
    r2 = Vl() ? !(null === (e2 = null == t2 ? void 0 : t2.contentWindow) || void 0 === e2 ? void 0 : e2.document) : !(null == t2 ? void 0 : t2.contentDocument);
  } catch (t3) {
  }
  return r2;
}, Vl = () => /MSIE (\d+\.\d+);/.test(navigator.userAgent) || navigator.userAgent.indexOf("Trident/") > -1, Bl = (t2, e2 = "google", r2 = "", n2 = "") => {
  switch (e2) {
    case "google":
      n2 = "https://docs.google.com/gview?url=%URL%&embedded=true";
      break;
    case "office":
      n2 = "https://view.officeapps.live.com/op/embed.aspx?src=%URL%";
      break;
    case "pdf":
      n2 = "";
  }
  const o2 = "google" === e2 || "office" === e2 || "url" === e2, i2 = (null == t2 ? void 0 : t2.indexOf("/")) ? encodeURIComponent(t2) : t2;
  let c2 = n2 ? n2.replace("%URL%", i2) : t2;
  if (r2 && o2 && "url" !== e2) {
    c2 = `${c2}${r2.startsWith("&") ? "" : "&"}${r2}`;
  }
  return { url: c2, externalViewer: o2 };
};
var zl = "undefined" != typeof globalThis ? globalThis : "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof self ? self : {}, Hl = function(t2) {
  return t2 && t2.Math == Math && t2;
}, ql = Hl("object" == typeof globalThis && globalThis) || Hl("object" == typeof window && window) || Hl("object" == typeof self && self) || Hl("object" == typeof zl && zl) || function() {
  return this;
}() || Function("return this")(), Yl = function(t2) {
  try {
    return !!t2();
  } catch (t3) {
    return true;
  }
}, Kl = !Yl(function() {
  var t2 = (function() {
  }).bind();
  return "function" != typeof t2 || t2.hasOwnProperty("prototype");
}), Xl = Kl, Jl = Function.prototype, Ql = Jl.bind, Zl = Jl.call, tp = Xl && Ql.bind(Zl, Zl), ep = Xl ? function(t2) {
  return t2 && tp(t2);
} : function(t2) {
  return t2 && function() {
    return Zl.apply(t2, arguments);
  };
}, rp = ep, np = rp({}.toString), op = rp("".slice), ip = ep, cp = Yl, up = function(t2) {
  return op(np(t2), 8, -1);
}, ap = ql.Object, fp = ip("".split), sp = cp(function() {
  return !ap("z").propertyIsEnumerable(0);
}) ? function(t2) {
  return "String" == up(t2) ? fp(t2, "") : ap(t2);
} : ap, lp = ql.TypeError, pp = function(t2) {
  if (null == t2)
    throw lp("Can't call method on " + t2);
  return t2;
}, vp = sp, dp = pp, hp = function(t2) {
  return vp(dp(t2));
}, yp = { exports: {} }, gp = ql, bp = Object.defineProperty, mp = function(t2, e2) {
  try {
    bp(gp, t2, { value: e2, configurable: true, writable: true });
  } catch (r2) {
    gp[t2] = e2;
  }
  return e2;
}, wp = mp, Op = "__core-js_shared__", Sp = ql[Op] || wp(Op, {}), jp = Sp;
(yp.exports = function(t2, e2) {
  return jp[t2] || (jp[t2] = void 0 !== e2 ? e2 : {});
})("versions", []).push({ version: "3.22.2", mode: "global", copyright: "© 2014-2022 Denis Pushkarev (zloirock.ru)", license: "https://github.com/zloirock/core-js/blob/v3.22.2/LICENSE", source: "https://github.com/zloirock/core-js" });
var xp, Ep, Tp = pp, Pp = ql.Object, Ip = function(t2) {
  return Pp(Tp(t2));
}, Rp = Ip, Cp = ep({}.hasOwnProperty), Lp = Object.hasOwn || function(t2, e2) {
  return Cp(Rp(t2), e2);
}, Ap = ep, _p = 0, kp = Math.random(), Mp = Ap(1 .toString), Np = function(t2) {
  return "Symbol(" + (void 0 === t2 ? "" : t2) + ")_" + Mp(++_p + kp, 36);
}, Fp = function(t2) {
  return "function" == typeof t2;
}, Dp = ql, $p = Fp, Up = function(t2, e2) {
  return arguments.length < 2 ? (r2 = Dp[t2], $p(r2) ? r2 : void 0) : Dp[t2] && Dp[t2][e2];
  var r2;
}, Gp = ql, Wp = Up("navigator", "userAgent") || "", Vp = Gp.process, Bp = Gp.Deno, zp = Vp && Vp.versions || Bp && Bp.version, Hp = zp && zp.v8;
Hp && (Ep = (xp = Hp.split("."))[0] > 0 && xp[0] < 4 ? 1 : +(xp[0] + xp[1])), !Ep && Wp && (!(xp = Wp.match(/Edge\/(\d+)/)) || xp[1] >= 74) && (xp = Wp.match(/Chrome\/(\d+)/)) && (Ep = +xp[1]);
var qp = Ep, Yp = Yl, Kp = !!Object.getOwnPropertySymbols && !Yp(function() {
  var t2 = Symbol();
  return !String(t2) || !(Object(t2) instanceof Symbol) || !Symbol.sham && qp && qp < 41;
}), Xp = Kp && !Symbol.sham && "symbol" == typeof Symbol.iterator, Jp = ql, Qp = yp.exports, Zp = Lp, tv = Np, ev = Kp, rv = Xp, nv = Qp("wks"), ov = Jp.Symbol, iv = ov && ov.for, cv = rv ? ov : ov && ov.withoutSetter || tv, uv = function(t2) {
  if (!Zp(nv, t2) || !ev && "string" != typeof nv[t2]) {
    var e2 = "Symbol." + t2;
    ev && Zp(ov, t2) ? nv[t2] = ov[t2] : nv[t2] = rv && iv ? iv(e2) : cv(e2);
  }
  return nv[t2];
}, av = Fp, fv = function(t2) {
  return "object" == typeof t2 ? null !== t2 : av(t2);
}, sv = ql, lv = fv, pv = sv.String, vv = sv.TypeError, dv = function(t2) {
  if (lv(t2))
    return t2;
  throw vv(pv(t2) + " is not an object");
}, hv = {}, yv = !Yl(function() {
  return 7 != Object.defineProperty({}, 1, { get: function() {
    return 7;
  } })[1];
}), gv = yv && Yl(function() {
  return 42 != Object.defineProperty(function() {
  }, "prototype", { value: 42, writable: false }).prototype;
}), bv = {}, mv = fv, wv = ql.document, Ov = mv(wv) && mv(wv.createElement), Sv = function(t2) {
  return Ov ? wv.createElement(t2) : {};
}, jv = Sv, xv = !yv && !Yl(function() {
  return 7 != Object.defineProperty(jv("div"), "a", { get: function() {
    return 7;
  } }).a;
}), Ev = Kl, Tv = Function.prototype.call, Pv = Ev ? Tv.bind(Tv) : function() {
  return Tv.apply(Tv, arguments);
}, Iv = ep({}.isPrototypeOf), Rv = Up, Cv = Fp, Lv = Iv, Av = Xp, _v = ql.Object, kv = Av ? function(t2) {
  return "symbol" == typeof t2;
} : function(t2) {
  var e2 = Rv("Symbol");
  return Cv(e2) && Lv(e2.prototype, _v(t2));
}, Mv = ql.String, Nv = Fp, Fv = function(t2) {
  try {
    return Mv(t2);
  } catch (t3) {
    return "Object";
  }
}, Dv = ql.TypeError, $v = function(t2) {
  if (Nv(t2))
    return t2;
  throw Dv(Fv(t2) + " is not a function");
}, Uv = Pv, Gv = Fp, Wv = fv, Vv = ql.TypeError, Bv = Pv, zv = fv, Hv = kv, qv = function(t2, e2) {
  var r2 = t2[e2];
  return null == r2 ? void 0 : $v(r2);
}, Yv = function(t2, e2) {
  var r2, n2;
  if ("string" === e2 && Gv(r2 = t2.toString) && !Wv(n2 = Uv(r2, t2)))
    return n2;
  if (Gv(r2 = t2.valueOf) && !Wv(n2 = Uv(r2, t2)))
    return n2;
  if ("string" !== e2 && Gv(r2 = t2.toString) && !Wv(n2 = Uv(r2, t2)))
    return n2;
  throw Vv("Can't convert object to primitive value");
}, Kv = uv, Xv = ql.TypeError, Jv = Kv("toPrimitive"), Qv = function(t2, e2) {
  if (!zv(t2) || Hv(t2))
    return t2;
  var r2, n2 = qv(t2, Jv);
  if (n2) {
    if (void 0 === e2 && (e2 = "default"), r2 = Bv(n2, t2, e2), !zv(r2) || Hv(r2))
      return r2;
    throw Xv("Can't convert object to primitive value");
  }
  return void 0 === e2 && (e2 = "number"), Yv(t2, e2);
}, Zv = kv, td = function(t2) {
  var e2 = Qv(t2, "string");
  return Zv(e2) ? e2 : e2 + "";
}, ed = yv, rd = xv, nd = gv, od = dv, id = td, cd = ql.TypeError, ud = Object.defineProperty, ad = Object.getOwnPropertyDescriptor, fd = "enumerable", sd = "configurable", ld = "writable";
bv.f = ed ? nd ? function(t2, e2, r2) {
  if (od(t2), e2 = id(e2), od(r2), "function" == typeof t2 && "prototype" === e2 && "value" in r2 && ld in r2 && !r2[ld]) {
    var n2 = ad(t2, e2);
    n2 && n2[ld] && (t2[e2] = r2.value, r2 = { configurable: sd in r2 ? r2[sd] : n2[sd], enumerable: fd in r2 ? r2[fd] : n2[fd], writable: false });
  }
  return ud(t2, e2, r2);
} : ud : function(t2, e2, r2) {
  if (od(t2), e2 = id(e2), od(r2), rd)
    try {
      return ud(t2, e2, r2);
    } catch (t3) {
    }
  if ("get" in r2 || "set" in r2)
    throw cd("Accessors not supported");
  return "value" in r2 && (t2[e2] = r2.value), t2;
};
var pd = Math.ceil, vd = Math.floor, dd = function(t2) {
  var e2 = +t2;
  return e2 != e2 || 0 === e2 ? 0 : (e2 > 0 ? vd : pd)(e2);
}, hd = dd, yd = Math.max, gd = Math.min, bd = dd, md = Math.min, wd = function(t2) {
  return t2 > 0 ? md(bd(t2), 9007199254740991) : 0;
}, Od = hp, Sd = function(t2, e2) {
  var r2 = hd(t2);
  return r2 < 0 ? yd(r2 + e2, 0) : gd(r2, e2);
}, jd = function(t2) {
  return wd(t2.length);
}, xd = function(t2) {
  return function(e2, r2, n2) {
    var o2, i2 = Od(e2), c2 = jd(i2), u2 = Sd(n2, c2);
    if (t2 && r2 != r2) {
      for (; c2 > u2; )
        if ((o2 = i2[u2++]) != o2)
          return true;
    } else
      for (; c2 > u2; u2++)
        if ((t2 || u2 in i2) && i2[u2] === r2)
          return t2 || u2 || 0;
    return !t2 && -1;
  };
}, Ed = { includes: xd(true), indexOf: xd(false) }, Td = {}, Pd = Lp, Id = hp, Rd = Ed.indexOf, Cd = Td, Ld = ep([].push), Ad = function(t2, e2) {
  var r2, n2 = Id(t2), o2 = 0, i2 = [];
  for (r2 in n2)
    !Pd(Cd, r2) && Pd(n2, r2) && Ld(i2, r2);
  for (; e2.length > o2; )
    Pd(n2, r2 = e2[o2++]) && (~Rd(i2, r2) || Ld(i2, r2));
  return i2;
}, _d = ["constructor", "hasOwnProperty", "isPrototypeOf", "propertyIsEnumerable", "toLocaleString", "toString", "valueOf"], kd = Ad, Md = _d, Nd = Object.keys || function(t2) {
  return kd(t2, Md);
}, Fd = yv, Dd = gv, $d = bv, Ud = dv, Gd = hp, Wd = Nd;
hv.f = Fd && !Dd ? Object.defineProperties : function(t2, e2) {
  Ud(t2);
  for (var r2, n2 = Gd(e2), o2 = Wd(e2), i2 = o2.length, c2 = 0; i2 > c2; )
    $d.f(t2, r2 = o2[c2++], n2[r2]);
  return t2;
};
var Vd, Bd = Up("document", "documentElement"), zd = yp.exports, Hd = Np, qd = zd("keys"), Yd = function(t2) {
  return qd[t2] || (qd[t2] = Hd(t2));
}, Kd = dv, Xd = hv, Jd = _d, Qd = Td, Zd = Bd, th = Sv, eh = "prototype", rh = "script", nh = Yd("IE_PROTO"), oh = function() {
}, ih = function(t2) {
  return "<" + rh + ">" + t2 + "</" + rh + ">";
}, ch = function(t2) {
  t2.write(ih("")), t2.close();
  var e2 = t2.parentWindow.Object;
  return t2 = null, e2;
}, uh = function() {
  try {
    Vd = new ActiveXObject("htmlfile");
  } catch (t3) {
  }
  var t2, e2, r2;
  uh = "undefined" != typeof document ? document.domain && Vd ? ch(Vd) : (e2 = th("iframe"), r2 = "java" + rh + ":", e2.style.display = "none", Zd.appendChild(e2), e2.src = String(r2), (t2 = e2.contentWindow.document).open(), t2.write(ih("document.F=Object")), t2.close(), t2.F) : ch(Vd);
  for (var n2 = Jd.length; n2--; )
    delete uh[eh][Jd[n2]];
  return uh();
};
Qd[nh] = true;
var ah = Object.create || function(t2, e2) {
  var r2;
  return null !== t2 ? (oh[eh] = Kd(t2), r2 = new oh(), oh[eh] = null, r2[nh] = t2) : r2 = uh(), void 0 === e2 ? r2 : Xd.f(r2, e2);
}, fh = ah, sh = bv, lh = uv("unscopables"), ph = Array.prototype;
null == ph[lh] && sh.f(ph, lh, { configurable: true, value: fh(null) });
var vh = {}, dh = Fp, hh = Sp, yh = ep(Function.toString);
dh(hh.inspectSource) || (hh.inspectSource = function(t2) {
  return yh(t2);
});
var gh, bh, mh, wh = hh.inspectSource, Oh = Fp, Sh = wh, jh = ql.WeakMap, xh = Oh(jh) && /native code/.test(Sh(jh)), Eh = function(t2, e2) {
  return { enumerable: !(1 & t2), configurable: !(2 & t2), writable: !(4 & t2), value: e2 };
}, Th = bv, Ph = Eh, Ih = yv ? function(t2, e2, r2) {
  return Th.f(t2, e2, Ph(1, r2));
} : function(t2, e2, r2) {
  return t2[e2] = r2, t2;
}, Rh = xh, Ch = ql, Lh = ep, Ah = fv, _h = Ih, kh = Lp, Mh = Sp, Nh = Yd, Fh = Td, Dh = "Object already initialized", $h = Ch.TypeError, Uh = Ch.WeakMap;
if (Rh || Mh.state) {
  var Gh = Mh.state || (Mh.state = new Uh()), Wh = Lh(Gh.get), Vh = Lh(Gh.has), Bh = Lh(Gh.set);
  gh = function(t2, e2) {
    if (Vh(Gh, t2))
      throw new $h(Dh);
    return e2.facade = t2, Bh(Gh, t2, e2), e2;
  }, bh = function(t2) {
    return Wh(Gh, t2) || {};
  }, mh = function(t2) {
    return Vh(Gh, t2);
  };
} else {
  var zh = Nh("state");
  Fh[zh] = true, gh = function(t2, e2) {
    if (kh(t2, zh))
      throw new $h(Dh);
    return e2.facade = t2, _h(t2, zh, e2), e2;
  }, bh = function(t2) {
    return kh(t2, zh) ? t2[zh] : {};
  }, mh = function(t2) {
    return kh(t2, zh);
  };
}
var Hh = { set: gh, get: bh, has: mh, enforce: function(t2) {
  return mh(t2) ? bh(t2) : gh(t2, {});
}, getterFor: function(t2) {
  return function(e2) {
    var r2;
    if (!Ah(e2) || (r2 = bh(e2)).type !== t2)
      throw $h("Incompatible receiver, " + t2 + " required");
    return r2;
  };
} }, qh = {}, Yh = {}, Kh = {}.propertyIsEnumerable, Xh = Object.getOwnPropertyDescriptor, Jh = Xh && !Kh.call({ 1: 2 }, 1);
Yh.f = Jh ? function(t2) {
  var e2 = Xh(this, t2);
  return !!e2 && e2.enumerable;
} : Kh;
var Qh = yv, Zh = Pv, ty = Yh, ey = Eh, ry = hp, ny = td, oy = Lp, iy = xv, cy = Object.getOwnPropertyDescriptor;
qh.f = Qh ? cy : function(t2, e2) {
  if (t2 = ry(t2), e2 = ny(e2), iy)
    try {
      return cy(t2, e2);
    } catch (t3) {
    }
  if (oy(t2, e2))
    return ey(!Zh(ty.f, t2, e2), t2[e2]);
};
var uy = { exports: {} }, ay = yv, fy = Lp, sy = Function.prototype, ly = ay && Object.getOwnPropertyDescriptor, py = fy(sy, "name"), vy = { EXISTS: py, PROPER: py && "something" === (function() {
}).name, CONFIGURABLE: py && (!ay || ay && ly(sy, "name").configurable) }, dy = ql, hy = Fp, yy = Lp, gy = Ih, by = mp, my = wh, wy = vy.CONFIGURABLE, Oy = Hh.get, Sy = Hh.enforce, jy = String(String).split("String");
(uy.exports = function(t2, e2, r2, n2) {
  var o2, i2 = !!n2 && !!n2.unsafe, c2 = !!n2 && !!n2.enumerable, u2 = !!n2 && !!n2.noTargetGet, a2 = n2 && void 0 !== n2.name ? n2.name : e2;
  hy(r2) && ("Symbol(" === String(a2).slice(0, 7) && (a2 = "[" + String(a2).replace(/^Symbol\(([^)]*)\)/, "$1") + "]"), (!yy(r2, "name") || wy && r2.name !== a2) && gy(r2, "name", a2), (o2 = Sy(r2)).source || (o2.source = jy.join("string" == typeof a2 ? a2 : ""))), t2 !== dy ? (i2 ? !u2 && t2[e2] && (c2 = true) : delete t2[e2], c2 ? t2[e2] = r2 : gy(t2, e2, r2)) : c2 ? t2[e2] = r2 : by(e2, r2);
})(Function.prototype, "toString", function() {
  return hy(this) && Oy(this).source || my(this);
});
var xy = {}, Ey = Ad, Ty = _d.concat("length", "prototype");
xy.f = Object.getOwnPropertyNames || function(t2) {
  return Ey(t2, Ty);
};
var Py = {};
Py.f = Object.getOwnPropertySymbols;
var Iy, Ry, Cy, Ly = Up, Ay = xy, _y = Py, ky = dv, My = ep([].concat), Ny = Ly("Reflect", "ownKeys") || function(t2) {
  var e2 = Ay.f(ky(t2)), r2 = _y.f;
  return r2 ? My(e2, r2(t2)) : e2;
}, Fy = Lp, Dy = Ny, $y = qh, Uy = bv, Gy = Yl, Wy = Fp, Vy = /#|\.prototype\./, By = function(t2, e2) {
  var r2 = Hy[zy(t2)];
  return r2 == Yy || r2 != qy && (Wy(e2) ? Gy(e2) : !!e2);
}, zy = By.normalize = function(t2) {
  return String(t2).replace(Vy, ".").toLowerCase();
}, Hy = By.data = {}, qy = By.NATIVE = "N", Yy = By.POLYFILL = "P", Ky = By, Xy = ql, Jy = qh.f, Qy = Ih, Zy = uy.exports, tg = mp, eg = function(t2, e2, r2) {
  for (var n2 = Dy(e2), o2 = Uy.f, i2 = $y.f, c2 = 0; c2 < n2.length; c2++) {
    var u2 = n2[c2];
    Fy(t2, u2) || r2 && Fy(r2, u2) || o2(t2, u2, i2(e2, u2));
  }
}, rg = Ky, ng = function(t2, e2) {
  var r2, n2, o2, i2, c2, u2 = t2.target, a2 = t2.global, f2 = t2.stat;
  if (r2 = a2 ? Xy : f2 ? Xy[u2] || tg(u2, {}) : (Xy[u2] || {}).prototype)
    for (n2 in e2) {
      if (i2 = e2[n2], o2 = t2.noTargetGet ? (c2 = Jy(r2, n2)) && c2.value : r2[n2], !rg(a2 ? n2 : u2 + (f2 ? "." : "#") + n2, t2.forced) && void 0 !== o2) {
        if (typeof i2 == typeof o2)
          continue;
        eg(i2, o2);
      }
      (t2.sham || o2 && o2.sham) && Qy(i2, "sham", true), Zy(r2, n2, i2, t2);
    }
}, og = !Yl(function() {
  function t2() {
  }
  return t2.prototype.constructor = null, Object.getPrototypeOf(new t2()) !== t2.prototype;
}), ig = ql, cg = Lp, ug = Fp, ag = Ip, fg = og, sg = Yd("IE_PROTO"), lg = ig.Object, pg = lg.prototype, vg = fg ? lg.getPrototypeOf : function(t2) {
  var e2 = ag(t2);
  if (cg(e2, sg))
    return e2[sg];
  var r2 = e2.constructor;
  return ug(r2) && e2 instanceof r2 ? r2.prototype : e2 instanceof lg ? pg : null;
}, dg = Yl, hg = Fp, yg = vg, gg = uy.exports, bg = uv("iterator"), mg = false;
[].keys && ("next" in (Cy = [].keys()) ? (Ry = yg(yg(Cy))) !== Object.prototype && (Iy = Ry) : mg = true);
var wg = null == Iy || dg(function() {
  var t2 = {};
  return Iy[bg].call(t2) !== t2;
});
wg && (Iy = {}), hg(Iy[bg]) || gg(Iy, bg, function() {
  return this;
});
var Og = { IteratorPrototype: Iy, BUGGY_SAFARI_ITERATORS: mg }, Sg = bv.f, jg = Lp, xg = uv("toStringTag"), Eg = function(t2, e2, r2) {
  t2 && !r2 && (t2 = t2.prototype), t2 && !jg(t2, xg) && Sg(t2, xg, { configurable: true, value: e2 });
}, Tg = Og.IteratorPrototype, Pg = ah, Ig = Eh, Rg = Eg, Cg = vh, Lg = function() {
  return this;
}, Ag = ql, _g = Fp, kg = Ag.String, Mg = Ag.TypeError, Ng = ep, Fg = dv, Dg = function(t2) {
  if ("object" == typeof t2 || _g(t2))
    return t2;
  throw Mg("Can't set " + kg(t2) + " as a prototype");
}, $g = Object.setPrototypeOf || ("__proto__" in {} ? function() {
  var t2, e2 = false, r2 = {};
  try {
    (t2 = Ng(Object.getOwnPropertyDescriptor(Object.prototype, "__proto__").set))(r2, []), e2 = r2 instanceof Array;
  } catch (t3) {
  }
  return function(r3, n2) {
    return Fg(r3), Dg(n2), e2 ? t2(r3, n2) : r3.__proto__ = n2, r3;
  };
}() : void 0), Ug = ng, Gg = Pv, Wg = vy, Vg = Fp, Bg = function(t2, e2, r2, n2) {
  var o2 = e2 + " Iterator";
  return t2.prototype = Pg(Tg, { next: Ig(+!n2, r2) }), Rg(t2, o2, false), Cg[o2] = Lg, t2;
}, zg = vg, Hg = $g, qg = Eg, Yg = Ih, Kg = uy.exports, Xg = vh, Jg = Wg.PROPER, Qg = Wg.CONFIGURABLE, Zg = Og.IteratorPrototype, tb = Og.BUGGY_SAFARI_ITERATORS, eb = uv("iterator"), rb = "keys", nb = "values", ob = "entries", ib = function() {
  return this;
}, cb = hp, ub = function(t2) {
  ph[lh][t2] = true;
}, ab = vh, fb = Hh, sb = bv.f, lb = function(t2, e2, r2, n2, o2, i2, c2) {
  Bg(r2, e2, n2);
  var u2, a2, f2, s2 = function(t3) {
    if (t3 === o2 && h2)
      return h2;
    if (!tb && t3 in v2)
      return v2[t3];
    switch (t3) {
      case rb:
      case nb:
      case ob:
        return function() {
          return new r2(this, t3);
        };
    }
    return function() {
      return new r2(this);
    };
  }, l2 = e2 + " Iterator", p2 = false, v2 = t2.prototype, d2 = v2[eb] || v2["@@iterator"] || o2 && v2[o2], h2 = !tb && d2 || s2(o2), y2 = "Array" == e2 && v2.entries || d2;
  if (y2 && (u2 = zg(y2.call(new t2()))) !== Object.prototype && u2.next && (zg(u2) !== Zg && (Hg ? Hg(u2, Zg) : Vg(u2[eb]) || Kg(u2, eb, ib)), qg(u2, l2, true)), Jg && o2 == nb && d2 && d2.name !== nb && (Qg ? Yg(v2, "name", nb) : (p2 = true, h2 = function() {
    return Gg(d2, this);
  })), o2)
    if (a2 = { values: s2(nb), keys: i2 ? h2 : s2(rb), entries: s2(ob) }, c2)
      for (f2 in a2)
        (tb || p2 || !(f2 in v2)) && Kg(v2, f2, a2[f2]);
    else
      Ug({ target: e2, proto: true, forced: tb || p2 }, a2);
  return v2[eb] !== h2 && Kg(v2, eb, h2, { name: o2 }), Xg[e2] = h2, a2;
}, pb = yv, vb = "Array Iterator", db = fb.set, hb = fb.getterFor(vb), yb = lb(Array, "Array", function(t2, e2) {
  db(this, { type: vb, target: cb(t2), index: 0, kind: e2 });
}, function() {
  var t2 = hb(this), e2 = t2.target, r2 = t2.kind, n2 = t2.index++;
  return !e2 || n2 >= e2.length ? (t2.target = void 0, { value: void 0, done: true }) : "keys" == r2 ? { value: n2, done: false } : "values" == r2 ? { value: e2[n2], done: false } : { value: [n2, e2[n2]], done: false };
}, "values"), gb = ab.Arguments = ab.Array;
if (ub("keys"), ub("values"), ub("entries"), pb && "values" !== gb.name)
  try {
    sb(gb, "name", { value: "values" });
  } catch (t2) {
  }
var bb = Sv("span").classList, mb = bb && bb.constructor && bb.constructor.prototype, wb = mb === Object.prototype ? void 0 : mb, Ob = ql, Sb = { CSSRuleList: 0, CSSStyleDeclaration: 0, CSSValueList: 0, ClientRectList: 0, DOMRectList: 0, DOMStringList: 0, DOMTokenList: 1, DataTransferItemList: 0, FileList: 0, HTMLAllCollection: 0, HTMLCollection: 0, HTMLFormElement: 0, HTMLSelectElement: 0, MediaList: 0, MimeTypeArray: 0, NamedNodeMap: 0, NodeList: 1, PaintRequestList: 0, Plugin: 0, PluginArray: 0, SVGLengthList: 0, SVGNumberList: 0, SVGPathSegList: 0, SVGPointList: 0, SVGStringList: 0, SVGTransformList: 0, SourceBufferList: 0, StyleSheetList: 0, TextTrackCueList: 0, TextTrackList: 0, TouchList: 0 }, jb = wb, xb = yb, Eb = Ih, Tb = uv, Pb = Tb("iterator"), Ib = Tb("toStringTag"), Rb = xb.values, Cb = function(t2, e2) {
  if (t2) {
    if (t2[Pb] !== Rb)
      try {
        Eb(t2, Pb, Rb);
      } catch (e3) {
        t2[Pb] = Rb;
      }
    if (t2[Ib] || Eb(t2, Ib, e2), Sb[e2]) {
      for (var r2 in xb)
        if (t2[r2] !== xb[r2])
          try {
            Eb(t2, r2, xb[r2]);
          } catch (e3) {
            t2[r2] = xb[r2];
          }
    }
  }
};
for (var Lb in Sb)
  Cb(Ob[Lb] && Ob[Lb].prototype, Lb);
Cb(jb, "DOMTokenList");
var Ab = yv, _b = ep, kb = Pv, Mb = Yl, Nb = Nd, Fb = Py, Db = Yh, $b = Ip, Ub = sp, Gb = Object.assign, Wb = Object.defineProperty, Vb = _b([].concat), Bb = !Gb || Mb(function() {
  if (Ab && 1 !== Gb({ b: 1 }, Gb(Wb({}, "a", { enumerable: true, get: function() {
    Wb(this, "b", { value: 3, enumerable: false });
  } }), { b: 2 })).b)
    return true;
  var t2 = {}, e2 = {}, r2 = Symbol(), n2 = "abcdefghijklmnopqrst";
  return t2[r2] = 7, n2.split("").forEach(function(t3) {
    e2[t3] = t3;
  }), 7 != Gb({}, t2)[r2] || Nb(Gb({}, e2)).join("") != n2;
}) ? function(t2, e2) {
  for (var r2 = $b(t2), n2 = arguments.length, o2 = 1, i2 = Fb.f, c2 = Db.f; n2 > o2; )
    for (var u2, a2 = Ub(arguments[o2++]), f2 = i2 ? Vb(Nb(a2), i2(a2)) : Nb(a2), s2 = f2.length, l2 = 0; s2 > l2; )
      u2 = f2[l2++], Ab && !kb(c2, a2, u2) || (r2[u2] = a2[u2]);
  return r2;
} : Gb, zb = Bb;
function Hb(t2, e2, r2, n2) {
  return new (r2 || (r2 = Promise))(function(o2, i2) {
    function c2(t3) {
      try {
        a2(n2.next(t3));
      } catch (t4) {
        i2(t4);
      }
    }
    function u2(t3) {
      try {
        a2(n2.throw(t3));
      } catch (t4) {
        i2(t4);
      }
    }
    function a2(t3) {
      var e3;
      t3.done ? o2(t3.value) : (e3 = t3.value, e3 instanceof r2 ? e3 : new r2(function(t4) {
        t4(e3);
      })).then(c2, u2);
    }
    a2((n2 = n2.apply(t2, e2 || [])).next());
  });
}
ng({ target: "Object", stat: true, forced: Object.assign !== zb }, { assign: zb });
const qb = { loaded: () => {
}, googleCheckContentLoaded: true, googleCheckInterval: 3e3, queryParams: "", url: "", overrideLocalhost: "", googleMaxChecks: 5, viewer: "google", viewerUrl: "", style: { width: "100%", height: "100%" }, className: "" }, Yb = (i2) => {
  var c2, u2, a2, f2, s2;
  const l2 = r(null), [p2, v2] = n({ url: "", isSwitching: false, externalViewer: true, docHtml: { __html: "" } }), d2 = r(), h2 = r(), y2 = (t2) => Hb(void 0, void 0, void 0, function* () {
    if (h2.current) {
      const e2 = l2.current;
      d2 && d2.current && d2.current.unsubscribe(), "google" === h2.current.viewer && true === h2.current.googleCheckContentLoaded && g2(e2, t2.url, h2.current.googleCheckInterval, h2.current.googleMaxChecks);
    }
  });
  o(() => {
    let t2;
    return p2.isSwitching && (v2((t3) => Object.assign(Object.assign({}, t3), { isSwitching: false })), t2 = setTimeout(() => {
      y2({ url: p2.url, externalViewer: p2.externalViewer });
    }, 500)), () => {
      t2 && clearTimeout(t2);
    };
  }, [p2.isSwitching]), o(() => {
    h2.current = Object.assign(Object.assign({}, qb), i2);
    let t2 = Bl(h2.current.url, h2.current.viewer, h2.current.queryParams, h2.current.viewerUrl);
    if (t2.externalViewer && h2.current.overrideLocalhost && ((t3) => {
      const e2 = $l(t3), r2 = (null == e2 ? void 0 : e2.hostname) || "";
      return ["localhost", "127.0.0.1", "", "::1"].includes(r2) || r2.startsWith("192.168.") || r2.startsWith("10.0.") || r2.endsWith(".local");
    })(h2.current.url)) {
      const e2 = ((t3, e3) => {
        const r2 = $l(t3), n2 = $l(e3);
        return r2 && n2 ? t3.replace(r2.port ? `${r2.hostname}:${r2.port}` : r2.hostname, n2.port ? `${n2.hostname}:${n2.port}` : n2.hostname) : t3;
      })(h2.current.url, h2.current.overrideLocalhost);
      t2 = Bl(e2, h2.current.viewer, h2.current.queryParams, h2.current.viewerUrl);
    }
    if (v2({ url: t2.url, externalViewer: t2.externalViewer, isSwitching: false, docHtml: { __html: "" } }), l2 && l2.current) {
      const e2 = l2.current;
      e2.src && e2.src !== `${window.location.protocol}//${window.location.host}/` && e2.src !== t2.url ? v2((t3) => Object.assign(Object.assign({}, t3), { isSwitching: true })) : y2(t2);
    } else if ("mammoth" === h2.current.viewer) {
      (() => Hb(void 0, void 0, void 0, function* () {
        const e2 = { __html: yield Ul(t2.url) };
        v2({ url: "", docHtml: e2, isSwitching: false, externalViewer: false });
      }))();
    }
    return () => {
      d2 && d2.current && d2.current.unsubscribe();
    };
  }, [i2]);
  const g2 = (t2, e2, r2, n2) => {
    d2.current = Gl(), d2.current.subscribe(t2, r2, n2);
  };
  return p2.isSwitching ? null : p2.externalViewer ? t("iframe", { style: null === (c2 = h2.current) || void 0 === c2 ? void 0 : c2.style, className: null === (u2 = h2.current) || void 0 === u2 ? void 0 : u2.className, ref: l2, onLoad: () => {
    h2.current && l2 && null !== l2.current && Wl(l2.current) && (h2.current.loaded && h2.current.loaded(), d2.current && d2.current.unsubscribe());
  }, id: "iframe", title: "iframe", frameBorder: "0", src: p2.url }) : "pdf" !== (null === (a2 = h2.current) || void 0 === a2 ? void 0 : a2.viewer) ? t("div", { dangerouslySetInnerHTML: p2.docHtml }) : p2.url ? t("object", Object.assign({ data: p2.url, style: null === (f2 = h2.current) || void 0 === f2 ? void 0 : f2.style, className: null === (s2 = h2.current) || void 0 === s2 ? void 0 : s2.className, type: "application/pdf", width: "100%", height: "100%" }, { children: e("p", { children: ["Your browser does not support PDFs.", t("a", Object.assign({ href: p2.url }, { children: "Download the PDF" })), "."] }) })) : null;
};
export {
  Yb as D
};
